import { Component, OnInit } from '@angular/core';
import { MarkdownService } from '../markdown.service';

const mdText =
`# Showdown test

**bold**

_italic_

[link](https://avatao.com)
`;

@Component({
  selector: 'app-logs',
  templateUrl: './logs.component.html',
  styleUrls: ['./logs.component.scss']
})
export class LogsComponent implements OnInit {
  markdown: string;
  constructor(private markdownService: MarkdownService) {
    this.markdown = markdownService.convertToHtml(mdText);
  }

  ngOnInit() {
  }

}
